/// <reference types="node" />
import { TSWebSiteDefinition } from "./tsserver_types";
import { Nullable } from "./types";
export declare class TSStaticWebsite {
    readonly uri: string;
    readonly folder: string;
    private _maxCacheSize;
    private _maxCachedFileSize;
    private _maxCachedFiles;
    private _maxBlacklistedFiles;
    private _cache;
    private _cacheMemory;
    private _blacklisted;
    private _mimeChecker;
    constructor(uri: string, definition: TSWebSiteDefinition | string);
    getStaticResource(uri: string): [Nullable<Buffer>, string];
    private _cacheContent;
    private _blacklist;
    clearCaches(): void;
    private static readonly __TSServerStandardsTypes;
}
